Name:		linchpin
Version:	1.5.4
Release:	1%{?dist}
Summary:	Ansible based multicloud orchestrator

License:	GPLv3+
URL:		http://github.com/CentOS-PaaS-SIG/linch-pin
Source0:	https://github.com/CentOS-PaaS-SIG/linch-pin/archive/v%{version}.tar.gz

# From requirements.txt
BuildRequires:	openssl-devel
BuildRequires:	libyaml-devel
BuildRequires:	ansible
BuildRequires:	python2-devel
BuildRequires:	python2-boto
BuildRequires:	python2-libcloud
BuildRequires:	python2-click
BuildRequires:	python2-yamlordereddictloader
BuildRequires:	python2-six
BuildRequires:	python2-shade
BuildRequires:	python2-Naked
BuildRequires:	python2-cerberus
BuildRequires:	python2-tinydb
BuildRequires:	python2-requests
BuildRequires:	python2-ipaddress
BuildRequires:	python2-pyyaml
# Build deps from setup.py
BuildRequires:	python2-pytest
BuildRequires:	python2-pytest-runner
BuildRequires:	python2-mock
BuildRequires:	python2-coverage
BuildRequires:	python2-flake8
BuildRequires:	python2-docutils
BuildRequires:	python2-sphinx
BuildRequires:	python2-sphinx_rtd_theme
BuildRequires:	python2-nose
Requires:	ansible
Requires:	python2-boto
Requires:	python2-libcloud
Requires:	python2-click
Requires:	python2-yamlordereddictloader
Requires:	python2-six
Requires:	python2-shade
Requires:	python2-Naked
Requires:	python2-cerberus
Requires:	python2-tinydb
Requires:	python2-requests
Requires:	python2-ipaddress
Requires:	python2-pyyaml
# Extra sub-package includes
Requires:	python2-krbV
Requires:	beaker-client
Requires:	python2-libvirt
Requires:	python2-lxml


BuildArch:  noarch

%description
linchpin is an Ansible-based tool to stand up and tear down
resources in various cloud environments


%prep
%autosetup

for file in $(find . -name '*.py'); do
	# Delete the first line, but only if it's a shebang we don't like
	sed -i -E -e '1{/[#]!\/usr\/bin\/(env )?python/d}' "${file}"
done

%build
%py2_build

%install
%py2_install
# Some source files have spurious executable bits
for file in $(find "%{buildroot}/%{python2_sitelib}" -name '*.py' -executable); do
	chmod -x "${file}"
done
rm -f "%{buildroot}%{_bindir}/"install*.sh

%files
%{_bindir}/%{name}
%{python2_sitelib}/%{name}
%{python2_sitelib}/%{name}-%{version}-py2.7.egg-info

%changelog
* Fri Aug 03 2018 Greg Hellings <greg.hellings@gmail.com> - 1.5.4-1
- Upstream has surpassed the 1.0 goal
- Packages are re-aligned under a common library prefix
- Dependencies updated to match upstream

* Mon Apr 03 2017 Greg Hellings <greg.hellings@gmail.com> - 0.9.1-2
- Adding install dependencies
- Tweak beaker client requirements

* Mon Mar 27 2017 Greg Hellings <greg.hellings@gmail.com> - 0.9.1-1
- Upstream version 0.9.1
- Changed download URL to be permanent

* Tue Jan 24 2017 Greg Hellings <greg.hellings@gmail.com> - 0.8.2-1
- First upstream release
